//--------------------------------------------------------------------------
// 
//  Copyright (c) Chili Software.  All rights reserved. 
// 
//  File: ServerTypes.cs
//
//  Description: List of possible server types.
// 
//--------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Text;

namespace Chili.Opf3.Storages.Ads
{
	/// <summary>
	/// Represents a list with all possible server types for Advantage Database Server.
	/// </summary>
	[Flags]
	public enum ServerTypes
	{
		/// <summary>
		/// Local server.
		/// </summary>
		Local = 1,
		/// <summary>
		/// Remote (network) server.
		/// </summary>
		Remote = 2
	}
}
