#region Developer's comment header
/* 
 * copyright:  2005-2006 Chili Software. All rights reserved.
 *
 */
#endregion
#region Using directives

using System;
using System.Collections.Generic;
using System.Text;

#endregion

namespace Chili.Opf3.Wizard.Shared
{
	/// <summary>
	/// This interface is implemented by classes representing an object generated by the tool.
	/// </summary>
	public interface IGeneratedObject
	{
		/// <summary>
		/// Returns the ID of the object. This is a unique identifier that is required for synchronization with the display.
		/// </summary>
		string ID
		{
			get;
		}

		/// <summary>
		/// Returns the name of the object. Is displayed in the list when generating the objects.
		/// </summary>
		string Name
		{
			get;
		}
	}
}
