#region Developer's comment header
/* 
 * copyright:  2005-2006 Chili Software. All rights reserved.
 *
 */
#endregion
#region Using directives

using System;
using System.Collections.Generic;
using System.Text;
using Chili.Opf3.Wizard.Shared.Storages;

#endregion

namespace Chili.Opf3.Wizard.Shared
{
	/// <summary>
	/// This class contains the storage schema.
	/// </summary>
	public sealed class StorageSchema
	{
		private List<Table> _tables = new List<Table>();
		private List<Relation> _relations = new List<Relation>();

		/// <summary>
		/// Creates a new instance of the StorageSchema Class.
		/// </summary>
		public StorageSchema()
		{
		}

		/// <summary>
		/// Creates a new instance of the StorageSchema Class.
		/// </summary>
		/// <param name="relations">Specifies the relations of the schema.</param>
		/// <param name="tables">Specifies the tables of the schema.</param>
		public StorageSchema(List<Table> tables, List<Relation> relations)
		{
			if (tables == null)
				throw new ArgumentNullException("tables", "Tables is null.");
			if (relations == null)
				throw new ArgumentNullException("relations", "Relations is null.");

			_tables = tables;
			_relations = relations;
		}

		/// <summary>
		/// Returns the list of tables.
		/// </summary>
		public List<Table> Tables
		{
			get { return _tables; }
		}

		/// <summary>
		/// Returns the list of relations.
		/// </summary>
		public List<Relation> Relations
		{
			get { return _relations; }
		}
	}
}
