#region Developer's comment header
/* 
 * copyright:  2005-2006 Chili Software. All rights reserved.
 *
 */
#endregion
#region Using directives

using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;

#endregion

namespace Chili.Opf3.Wizard.Shared.Storages
{
    /// <summary>
    /// This class represents an index.
    /// </summary>
    [Serializable]
    public sealed class Index
    {
        private string _name;
        private List<Field> _fields = new List<Field>();
        private bool _generate = true;
        private bool _primarykey = false;


        /// <summary>
        /// Index constructor.
        /// </summary>
        public Index()
        {
        }

        /// <summary>
        /// Index constructor.
        /// </summary>
        /// <param name="name">The index name.</param>
        public Index(string name) : this()
        {
            _name = name;  
        }

        /// <summary>
        /// Specifies whether the index is generated.
        /// </summary>
        public bool Generate
        {
            get { return _generate; }
            set { _generate = value; }
        }

        /// <summary>
        /// Specifies whether the index is used by primary key.
        /// </summary>
        public bool PrimaryKey
        {
            get { return _primarykey; }
            set { _primarykey = value; }
        }

        /// <summary>
	    /// The index name
	    /// </summary>
	    public string Name
	    {
		    get { return _name; }
		    set { _name = value; }
	    }

        /// <summary>
        /// Specifies the fields of the index.
        /// </summary>
		public List<Field> Fields
        {
            get { return _fields; }
            set { _fields = value; }
        }

        /// <summary>
        /// The index comma delimited fields name list.
        /// </summary>
        public string FieldsName
        {
			get
			{
				string buff = null;
				foreach (Field field in _fields)
					buff += String.Format((buff == null) ? "{0}" : ",{0}", field.PropertyName);

				return buff;
			}
        }
    }
}
