﻿#region Developer's comment header
/* 
 * copyright: © 2005-2006 Chili Software. All rights reserved.
 *
 */
#endregion
#region Using directives

using System;

#endregion

namespace Chili.Opf3.Wizard.Shared.Storages
{
	/// <summary>
	/// The member of this enumeration mark and enhance properties with special behaviour
	/// for the save process.
	/// </summary>
	[Flags]
    [Serializable] 
	public enum PersistBehaviours
	{
		/// <summary>
		/// A property marked with this flag is always persisted. It does not matter if the
		/// persistent is inserted or updated in the storage. This is the default behaviour of a
		/// property.
		/// </summary>
		None = 0,
		/// <summary>
		/// A property marked with this flag is not inserted. If the object is updated this
		/// property is also updated.
		/// </summary>
		DontInsert = 1,
		/// <summary>
		/// A property marked with this flag is not updated. If the object is inserted this
		/// property is also inserted.
		/// </summary>
		DontUpdate = 2
	}
}
