#region Developer's comment header
/* 
 * copyright:  2005-2006 Chili Software. All rights reserved.
 *
 */
#endregion
#region Using directives

using System;

#endregion

namespace Chili.Opf3.Wizard.Shared.Storages
{
	/// <summary>
	/// Specifies the rights of the persistent object.
	/// </summary>
	[Flags]
    [Serializable] 
	public enum PersistentRights
	{
		/// <summary>
		/// No right is granted to the persistent object. I can't be loaded, inserted, updated or deleted.
		/// </summary>
		None = 0,
		/// <summary>
		/// The persistent object is only allowed to be loaded.
		/// </summary>
		Load = 1,
		/// <summary>
		/// The persistent object is only allowed to be inserted.
		/// </summary>
		Insert = 2,
		/// <summary>
		/// The persistent object is only allowed to be updated.
		/// </summary>
		Update = 4,
		/// <summary>
		/// The persistent object is only allowed to be deleted.
		/// </summary>
		Delete = 8,
		/// <summary>
		/// The persistent object has all rights.
		/// </summary>
		All = 15
	}
}
