#region Developer's comment header
/* 
 * copyright:  2005-2006 Chili Software. All rights reserved.
 *
 */
#endregion
#region Using directives

using System;
using System.Collections.Generic;
using System.Text;

#endregion

namespace Chili.Opf3.Wizard.Shared.Storages
{
	/// <summary>
	/// This class represents a relation between two fields in the storage.
	/// </summary>
    [Serializable]
	public sealed class RelationItem
	{
		private Field _parentField;
		private Field _childField;

		/// <summary>
		/// Returns the field in the parent table (Primary key).
		/// </summary>
		public Field ParentField
		{
			get { return _parentField; }
			set
			{
				if (value == null)
					throw new ArgumentNullException("value", "ParentField is null.");
				if (value.Length == 0)
					throw new ArgumentException("ParentField is 0 characters long. Not allowed.");

				_parentField = value;
			}
		}

		/// <summary>
		/// Returns the field in the child table (Foreign key).
		/// </summary>
		public Field ChildField
		{
			get { return _childField; }
			set
			{
				if (value == null)
					throw new ArgumentNullException("value", "ChildField is null.");
				if (value.Length == 0)
					throw new ArgumentException("ChildField is 0 characters long. Not allowed.");

				_childField = value;
			}
		}
	}
}
