#region Developer's comment header
/* 
 * copyright:  2005-2006 Chili Software. All rights reserved.
 *
 */
#endregion
#region Using directives

using System;
using System.Collections.Generic;
using System.Text;
using Chili.Opf3.Wizard.Shared.Storages;

#endregion

namespace Chili.Opf3.Wizard
{
	/// <summary>
	/// This class contains the event args for the FetchedRelation event.
	/// </summary>
	public sealed class FetchedRelationEventArgs : EventArgs
	{
		private Relation _relation;

		/// <summary>
		/// Create a new instance of the <see cref="FetchedRelationEventArgs">FetchedRelationEventArgs Class</see>.
		/// </summary>
		/// <param name="relation">The fetched relation.</param>
		public FetchedRelationEventArgs(Relation relation)
		{
			if (relation == null)
				throw new ArgumentNullException("relation", "Relation is null.");

			_relation = relation;
		}

		/// <summary>
		/// Returns the fetched relation.
		/// </summary>
		public Relation Relation
		{
			get { return _relation; }
		}
	}
}
