#region Developer's comment header
/* 
 * copyright:  2005-2006 Chili Software. All rights reserved.
 *
 */
#endregion
#region Using directives

using System;
using System.Collections.Generic;
using System.Text;
using Chili.Opf3.Wizard.Shared.Storages;

#endregion

namespace Chili.Opf3.Wizard
{
	/// <summary>
	/// This class contains the event args for the FetchedTable event.
	/// </summary>
	public sealed class FetchedTableEventArgs : EventArgs
	{
		private Table _table;

		/// <summary>
		/// Creates a new instance of the <see cref="FetchedTableEventArgs">FetchedTableEventArgs Class</see>.
		/// </summary>
		/// <param name="table">The table fetched.</param>
		public FetchedTableEventArgs(Table table)
		{
			if (table == null)
				throw new ArgumentNullException("table", "Table is null.");

			_table = table;
		}

		/// <summary>
		/// Returns the fetched table.
		/// </summary>
		public Table Table
		{
			get { return _table; }
		}
	}
}
