#region Developer's comment header
/* 
 * copyright:  2005-2006 Chili Software. All rights reserved.
 *
 */
#endregion
#region Using directives

using System;
using System.Collections.Generic;
using System.Windows.Forms;
using Chili.Opf3.Wizard.Shared;
using Chili.Opf3.Wizard.Properties;
using Chili.Opf3.Wizard.UI.Forms;

#endregion

namespace Chili.Opf3.Wizard
{
	static class Program
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			if (args.Length == 0)
			{
				// Create a new project. We have only one project in the application.
				Session.Current.ProjectManager.NewProject();
			}
			else
			{
				// Try to load the project from the given file name.
				Session.Current.ProjectManager.Open(args[0]);
			}

			Application.EnableVisualStyles();
			Application.ThreadException += new System.Threading.ThreadExceptionEventHandler(Application_ThreadException);

#if DEMO
			MessageBox.Show("This is a demo version of the Opf3 Wizard. The final output of persistent objects is disabled.",
				Resources.ProgramName, MessageBoxButtons.OK, MessageBoxIcon.Warning);
#endif

			Application.Run(new MainForm());
		}

		/// <summary>
		/// Invoked each time a unhandled thread exception is encountered
		/// </summary>
		private static void Application_ThreadException(object sender, System.Threading.ThreadExceptionEventArgs e)
		{
			new ExceptionDialog(e.Exception).ShowDialog();
		}
	}
}