#region Developer's comment header
/* 
 * copyright:  2005-2006 Chili Software. All rights reserved.
 *
 */
#endregion
#region Using directives

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

#endregion

namespace Chili.Opf3.Wizard.UI.Forms
{
	/// <summary>
	/// This form is shown after an exception is encountered that hasn't been handled.
	/// </summary>
	public partial class ExceptionDialog : Form
	{
		/// <summary>
		/// Creates a new instance of the <see cref="ExceptionDialog">ExceptionDialog Class</see>.
		/// </summary>
		private ExceptionDialog()
		{
			InitializeComponent();

			// Set the image of the error box.
			errorPictureBox.Image = SystemIcons.Error.ToBitmap();
		}

		/// <summary>
		/// Creates a new instance of the <see cref="ExceptionDialog">ExceptionDialog Class</see>.
		/// </summary>
		/// <param name="ex">Exception that is shown in the form.</param>
		public ExceptionDialog(Exception ex)
			: this()
		{
			exceptionMessageTextBox.Text = ex.Message;
			stacktraceTextBox.Text = ex.StackTrace;
		}
	}
}