#region Developer's comment header
/* 
 * copyright:  2005-2006 Chili Software. All rights reserved.
 *
 */
#endregion
#region Using directives

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Chili.Opf3.Wizard.Properties;
using Chili.Opf3.Wizard.Shared.Storages;
using Chili.Opf3.Wizard.Shared;
using System.Data.OleDb;

#endregion

namespace Chili.Opf3.Wizard.UI.Forms
{
	/// <summary>
	/// This class represents a form that shows the metadata of the given database.
	/// </summary>
    public partial class MetadataViewer : Form
    {
        Storage _storage;
        OleDbConnection _connection;

		/// <summary>
		/// Creates a new instance of the <see cref="MetadataViewer">MetadataViewer Class</see>.
		/// </summary>
		/// <param name="storage">The storage that's metadata is displayed.</param>
        public MetadataViewer(Storage storage)
        {
            InitializeComponent();

			if (storage == null)
				throw new ArgumentNullException("storage", "Storage is null.");

			_storage = storage;
			// Creat the connection and open it.
			_connection = new OleDbConnection(_storage.ConnectionString);
			_connection.Open();

			comboBox1.Items.Clear();
			DataTable dt = _connection.GetSchema();
			foreach (DataRow row in dt.Rows)
				comboBox1.Items.Add(row["CollectionName"].ToString());
		}

		/// <summary>
		/// Invoked every time the combobox value changed.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
        private void comboBox1_SelectedValueChanged(object sender, EventArgs e)
        {
            DataTable dt = _connection.GetSchema(comboBox1.Text);
            dataGridView1.DataSource = dt;
        }
    }
}