﻿//--------------------------------------------------------------------------
// 
//  Copyright (c) Chili Software.  All rights reserved. 
// 
//  File: IRelatedPropertiesPair.cs
//
//  Description: Relation between two member of the persistent object.
// 
//--------------------------------------------------------------------------

using System;

namespace Chili.Opf3.Mapping
{
	/// <summary>
	/// Specifies the relation between two properties of two objects.
	/// </summary>
	public interface IRelatedPropertiesPair
	{
		/// <summary>
		/// Returns the object member of the child class.
		/// </summary>
		IMemberInfo ChildMember { get; }

		/// <summary>
		/// Returns the object member of the parent class.
		/// </summary>
		IMemberInfo ParentMember { get; }
	}
}
