//--------------------------------------------------------------------------
// 
//  Copyright (c) Chili Software.  All rights reserved. 
// 
//  File: ObjectContextFactoryCreatorDelegate.cs
//
//  Description: A delegate invoked to create a new ObjectContext instance.
// 
//--------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Text;

namespace Chili.Opf3
{
	/// <summary>
	/// This delegate is invoked by the <see cref="ObjectContextFactory">ObjectContextFactory</see> to create 
	/// a new <see cref="ObjectContext">ObjectContext</see> instance. It must always return a new instance
	/// of an <see cref="ObjectContext">ObjectContext</see>.
	/// </summary>
	/// <returns>An <see cre="ObjectContext">ObjectContext</see> instance.</returns>
	public delegate ObjectContext ObjectContextFactoryCreatorDelegate();
}
