//--------------------------------------------------------------------------
// 
//  Copyright (c) Chili Software.  All rights reserved. 
// 
//  File: PersistentOperations.cs
//
//  Description: Operations that are available on the persistent object.
// 
//--------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Text;

namespace Chili.Opf3
{
	/// <summary>
	/// This enumeration holds all operations that are available on a persistent object.
	/// </summary>
	public enum PersistentOperations
	{
		/// <summary>
		/// This operation loads the persistent object from the storage.
		/// </summary>
		Load,
		/// <summary>
		/// This operatin inserts the persistent object in the storage.
		/// </summary>
		Insert,
		/// <summary>
		/// This operation updates the persistent object in the storage.
		/// </summary>
		Update,
		/// <summary>
		/// This operation deletes the persistent object from the storage.
		/// </summary>
		Delete
	}
}
