//--------------------------------------------------------------------------
// 
//  Copyright (c) Chili Software.  All rights reserved. 
// 
//  File: Comparisons.cs
//
//  Description: Specifies the comparisons used in the ObjectQueryBuilder.
// 
//--------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Text;

namespace Chili.Opf3.Query
{
	/// <summary>
	/// The member of this enumeration specifies the comparison condition for properties of the
	/// <see cref="ObjectQueryBuilder{T}">ObjectQueryBuilder</see>.
	/// </summary>
	public enum Comparisons
	{
		/// <summary>
		/// The property value is less then then the given value.
		/// </summary>
		Lower,
		/// <summary>
		/// The property value is less or equals then the given value.
		/// </summary>
		LowerEquals,
		/// <summary>
		/// The property value equals with the given value.
		/// </summary>
		Equals,
		/// <summary>
		/// The property value does not equal with the given value.
		/// </summary>
		NotEquals,
		/// <summary>
		/// The property value is higher or equal then the given value.
		/// </summary>
		HigherEquals,
		/// <summary>
		/// The property value is higher then the given value.
		/// </summary>
		Higher, 
		/// <summary>
		/// The property value is like the given value.
		/// </summary>
		Like
	}
}
