//--------------------------------------------------------------------------
// 
//  Copyright (c) Chili Software.  All rights reserved. 
// 
//  File: Concats.cs
//
//  Description: Specifies the concats used in the ObjectQueryBuilder.
// 
//--------------------------------------------------------------------------

namespace Chili.Opf3.Query
{
	/// <summary>
	/// The member of this enumeration specifies the concat condition between items of the
	/// <see cref="ObjectQueryBuilder{T}">ObjectQueryBuilder</see>.
	/// </summary>
	public enum Concats
	{
		/// <summary>
		/// Two items are connected over an "And".
		/// </summary>
		And,
		/// <summary>
		/// Two items are connected over an "Or".
		/// </summary>
		Or
	}
}
