﻿//--------------------------------------------------------------------------
// 
//  Copyright (c) Chili Software.  All rights reserved. 
// 
//  File: OEComparer.cs
//
//  Description: Comparer for the ObjectExpression.
// 
//--------------------------------------------------------------------------

using System;

namespace Chili.Opf3.Query.OPathParser
{
	/// <summary>
	/// Represents a comparer in the OPath statement. 
	/// </summary>
	/// <remarks>
	/// Comparer in a OPath statement are converted to this class when OPath is compiled.
	/// </remarks>
	[Serializable]
	public sealed class OEComparer : OEItem
	{
		private string _value;

		/// <summary>
		/// Creates a new instance of the <see cref="OEComparer">OEComparer Class</see>.
		/// </summary>
		/// <param name="value">Value of the command.</param>
		internal OEComparer(string value)
		{
			_value = value;
		}

		/// <summary>
		/// Returns the value of the comparer.
		/// </summary>
		/// <value>The value of the comparer.</value>
		public string Value
		{
			get { return _value; }
		}
	}
}
