﻿//--------------------------------------------------------------------------
// 
//  Copyright (c) Chili Software.  All rights reserved. 
// 
//  File: OECondition.cs
//
//  Description: Condition for the ObjectExpression.
// 
//--------------------------------------------------------------------------

using System;

namespace Chili.Opf3.Query.OPathParser
{
	/// <summary>
	/// Represents a condition in the OPath statement. 
	/// </summary>
	/// <remarks>
	/// Conditions in a OPath statement are converted to this class when OPath is compiled.
	/// A condition contains an <see cref="OEMember">OEMember</see>, an <see cref="OEComparer">OEComparer</see>
	/// and an <see cref="OEParameter">OEParameter</see>. Those items are stored into the Item collection of the
	/// item.
	/// </remarks>
	[Serializable]
	public sealed class OECondition : OEItem
	{
		/// <summary>
		/// Creates a new instance of the <see cref="OECondition">OECondition Class</see>.
		/// </summary>
		internal OECondition()
		{
		}
	}
}
