﻿//--------------------------------------------------------------------------
// 
//  Copyright (c) Chili Software.  All rights reserved. 
// 
//  File: SortOrders.cs
//
//  Description: Specifies the directions to sort.
// 
//--------------------------------------------------------------------------

using System;

namespace Chili.Opf3.Query.OPathParser
{
	/// <summary>Specifies how resultset of a query is sorted.</summary>
	/// <remarks>
	/// This enumeration is used by the framework to specify how a result set is sorted.
	/// </remarks>
	[Serializable]
	public enum SortOrders
	{
		/// <summary>
		/// Sorts the result from the element with the smallest value to the one with the highest value.
		/// </summary>
		Ascending,
		/// <summary>
		/// Sorts the result from the element with the highest value to the one with the smallest value.
		/// </summary>
		Descending
	}
}
