//--------------------------------------------------------------------------
// 
//  Copyright (c) Chili Software.  All rights reserved. 
// 
//  File: Transaction.cs
//
//  Description: Provides a generic transaction object for SQL storages.
// 
//--------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Text;
using System.Data;

namespace Chili.Opf3.Storages
{
	/// <summary>
	/// This class provides a generic transaction object for storages that support SQL and ADO.NET.
	/// </summary>
	internal sealed class GenericSqlTransaction : SqlTransactionBase
	{
		/// <summary>
		/// Creates an instance of the <see cref="GenericSqlTransaction">GenericSqlTransaction Class</see>.
		/// </summary>
		/// <param name="transaction">Specifies the current transaction on the storage.</param>
		internal GenericSqlTransaction(IDbTransaction transaction)
			: base(transaction)
		{
		}
	}
}
